Package icyllis.arc3d.core.effects

# Class ComposeColorFilter

java.lang.Object
icyllis.arc3d.core.RefCnt
icyllis.arc3d.core.effects.ComposeColorFilter

All Implemented Interfaces:
  `ColorFilter`, `RefCounted`

public final class ComposeColorFilter extends RefCnt implements ColorFilter

See Also:
  - `ColorFilter.compose(ColorFilter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `deallocate()`
  Override this method to invoke de-allocation of the underlying resource.
  `void`
  `filterColor4f(float[] col, float[] out, ColorSpace dstCS)`
  Applies this color filter with RGBA colors.
  `@RawPtr ColorFilter`
  `getAfter()`
  `@RawPtr ColorFilter`
  `getBefore()`
  `boolean`
  `isAlphaUnchanged()`
  Returns the flags for this filter.

  ### Methods inherited from class icyllis.arc3d.core.RefCnt

  `create, create, getRefCnt, getRefCntAcquire, getRefCntVolatile, move, move, ref, unique, unref`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface icyllis.arc3d.core.effects.ColorFilter

  `andThen, compose, filterColor`

  ### Methods inherited from interface icyllis.arc3d.core.RefCounted

  `ref, unref`

- ## Method Details

  - ### deallocate

    protected void deallocate()
    Description copied from class: `RefCnt`
    Override this method to invoke de-allocation of the underlying resource.
    Specified by:
      `deallocate` in class `RefCnt`

  - ### getBefore

    @RawPtr public @RawPtr ColorFilter getBefore()

  - ### getAfter

    @RawPtr public @RawPtr ColorFilter getAfter()

  - ### isAlphaUnchanged

    public boolean isAlphaUnchanged()
    Description copied from interface: `ColorFilter`
    Returns the flags for this filter. Override in subclasses to return custom flags.
    Specified by:
      `isAlphaUnchanged` in interface `ColorFilter`

  - ### filterColor4f

    public void filterColor4f(float[] col, float[] out, ColorSpace dstCS)
    Description copied from interface: `ColorFilter`
    Applies this color filter with RGBA colors. col and out store premultiplied R,G,B,A components from index 0 to 3. col and out can be the same pointer. col is read-only, out may be written multiple times.
    Specified by:
      `filterColor4f` in interface `ColorFilter`
    Parameters:
      `col` - base color
      `out` - resulting color
      `dstCS` - destination color space